Skip to main content
PUT
Update a ticket

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this ticket.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

channel
enum<string>
requerido
  • WA - WhatsApp
  • EM - Email
  • PH - Phone
  • WB - Web
Opciones disponibles:
WA,
EM,
PH,
WB
subject
string
requerido
stakeholder
string<uuid>
requerido
custom_fields
unknown
consecutive_code
string | null
Maximum string length: 30
description
string | null
status
enum<string>
  • O - Open
  • IP - In Progress
  • WC - Waiting Customer
  • RE - Resolved
  • CL - Closed
Opciones disponibles:
O,
IP,
WC,
RE,
CL
priority
enum<string>
  • L - Low
  • M - Medium
  • H - High
  • U - Urgent
Opciones disponibles:
L,
M,
H,
U
due_at
string<date-time> | null
resolved_at
string<date-time> | null
tags
unknown
assigned_to_user
string<uuid> | null

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.